ITopicPresentation

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.presentation
Interface ITopicPresentation

    com.change_vision.jude.api.inf.presentation.ITopicPresentation

All Implemented Interfaces:
  IHyperlinkOwner, IPresentation

public ITopicPresentation
extends IPresentation

Interface for Topic.

Method Summary
`abstract ITopicPresentation[]` | `getChildren()` Get Children.
`abstract String` | `getLabel()` Get Label.
`abstract ITopicPresentation` | `getParent()` Get Parent.
`abstract void` | `setLabel(String label)` Set Label.

Methods inherited from class com.change_vision.jude.api.inf.presentation.IPresentation
`getID`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getParent

    public abstract ITopicPresentation getParent()

  Get Parent.

  Returns:
    Parent Topic. Return null in case no parent Topic is found.

### getChildren

    public abstract ITopicPresentation[] getChildren()

  Get Children.

  Returns:
    the array of Children Topics. Return the empty array in case there is none.

### getLabel

    public abstract String getLabel()

  Get Label.

  Returns:
    String Label. Return empty string("") if there is none.

### setLabel

    public abstract void setLabel(String label)

  Set Label.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD